INTERFACE
subroutine setran (KCONSEED,YD_RANDOM_STREAM,KOUTSEED)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE RANDOM_NUMBERS_MIX
INTEGER(KIND=JPIM),INTENT(IN) :: KCONSEED
TYPE(randomNumberStream), INTENT(INOUT), OPTIONAL :: YD_RANDOM_STREAM
INTEGER(KIND=JPIM),INTENT(OUT), OPTIONAL :: KOUTSEED
end subroutine setran
END INTERFACE
